Treasury
Remove spend cap
DELETE
Requires scope wallets:write.
ApiKeyheader
AuthorizationBearer <sk_test_ or sk_live_ key>Your sk_live_ / sk_test_ API key
asset*unknownsignerId*unknowntreasury?unknownDefaults true. false targets a customer wallet.
Response Body
200application/json
Cap removed
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
401application/json
The Authorization header is missing, malformed, or the API key is unknown or revoked
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
429application/json
The API key exceeded its request budget for the window
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
Language
curl -X DELETE 'https://api.pilot.shiga.io/v1/limits' \ -H 'Authorization: Bearer sk_test_...'Example Response
{ "data": { "status": "ok" }, "status": 200, "success": true}